/*
 *  Copyright (c) 2004 Adrian Page <adrian@pagenet.plus.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
#include <tqlabel.h>
#include <tqlayout.h>
#include <klocale.h>
#include <koIconChooser.h>

#include "kis_colorspace.h"
#include "kis_pattern_chooser.h"
#include "kis_global.h"
#include "kis_icon_item.h"
#include "kis_pattern.h"

KisPatternChooser::KisPatternChooser(TQWidget *parent, const char *name) : super(parent, name)
{
    m_lbName = new TQLabel(this);

    TQVBoxLayout *mainLayout = new TQVBoxLayout(this, 2, -1, "main tqlayout");

    mainLayout->addWidget(m_lbName);
    mainLayout->addWidget(chooserWidget(), 10);
}

KisPatternChooser::~KisPatternChooser()
{
}

void KisPatternChooser::update(KoIconItem *item)
{
    KisIconItem *kisItem = static_cast<KisIconItem *>(item);

    if (item) {
        KisPattern *pattern = static_cast<KisPattern *>(kisItem->resource());

        TQString text = TQString("%1 (%2 x %3)").tqarg(pattern->name()).tqarg(pattern->width()).tqarg(pattern->height());

        m_lbName->setText(text);
    }
}

#include "kis_pattern_chooser.moc"

